Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100755 38 lines (34 sloc) 1.122 kb
452e4da @pazz setup.py and friends
authored
1 #!/usr/bin/env python
2
5a3eb2a @posativ switch to setuptools
posativ authored
3 from setuptools import setup, find_packages
452e4da @pazz setup.py and friends
authored
4 import alot
5
9afecc4 @pazz atomagic version string generation
authored
6
9953194 @pazz pep8 and dependencies in setup.py
authored
7 setup(name='alot',
b9b6644 @pazz revert to hardcoded version strings
authored
8 version=alot.__version__,
9953194 @pazz pep8 and dependencies in setup.py
authored
9 description=alot.__description__,
10 author=alot.__author__,
11 author_email=alot.__author_email__,
12 url=alot.__url__,
b9b6644 @pazz revert to hardcoded version strings
authored
13 license=alot.__copyright__,
5a3eb2a @posativ switch to setuptools
posativ authored
14 packages=find_packages(),
15 package_data={'alot': [
16 'defaults/alot.rc.spec',
17 'defaults/notmuch.rc.spec',
18 'defaults/abook_contacts.spec',
19 'defaults/default.theme',
20 'defaults/default.bindings',
21 'defaults/config.stub',
22 'defaults/theme.spec',
23 ]},
24 entry_points={
25 'console_scripts':
26 ['alot = alot.init:main'],
27 },
28 install_requires=[
29 'notmuch>=0.13',
30 'urwid>=1.1.0',
8df1bcd @pazz fix setup.py syntax
authored
31 'urwidtrees>=1.0',
5a3eb2a @posativ switch to setuptools
posativ authored
32 'twisted>=10.2.0',
33 'python-magic',
49a0cd7 @posativ themes require configobj 4.7.0 (or higher)
posativ authored
34 'configobj>=4.7.0',
5a3eb2a @posativ switch to setuptools
posativ authored
35 'pygpgme>=0.2'],
9afecc4 @pazz atomagic version string generation
authored
36 provides='alot',
30dbe55 @pazz just formating (pep8 etc.)
authored
37 )
Something went wrong with that request. Please try again.